Test Drive: Digidesign Pro Tools Version 8

Article Index

by Steve Cunningham

As I write this I’m fully ensconced in my annual Pro Tools re-training session at Digidesign, consisting of three solid days of lectures by the company’s training staff and product managers. Digi recently began shipping version 8 so that is our focus, and there is a lot of material to cover. Version 8 represents a significant rethink of the program, and contains changes that should draw a positive response from the production folks who use it. Heck, it may even generate some converts. Most of these changes help speed workflow and improve the program’s ease of use, although as you can see from figure 1, even in a black and white screenshot, that there’s a fair amount of new eye candy as well.

edit

The most obvious change is in the graphical user interface. It now resembles a cross between Ableton Live and Logic Pro -- formerly light gray backgrounds have morphed to a theme of medium and dark grays punctuated with color, which in turn has taken a larger role as both an organizational tool and a status indicator. But there’s a lot more here, including increased track count for LE and M-powered versions, window configuration and management, new keyboard shortcuts, and a slew of new plug-ins.

THE OS -- WHAT WORKS AND WHAT DOESN’T

Pro Tools’ resource requirements haven’t changed a great deal, but the OS requirements have changed a lot. Windows XP Home and Professional are fully supported, but only with Service Pack 3. Some of us have avoided installing SP3 due to initial problems with audio playback (and occasionally video playback), but most of these issues have been sorted out. In any case, if you want to run Pro Tools on XP you now must install SP3. The 32-bit version of Vista is also supported for Ultimate and Business with Service Pack 1, but the 64-bit versions of Vista are not. Neither Vista Home Basic nor Vista Home Premium is supported.

On the Mac side, OSX 10.5.5 (Leopard) is the only choice, so those of you with older Macs still running 10.3 Panther or 10.4 Tiger can’t buy a ticket on the PT8 train. Note that when I say an OS isn’t supported, that means it really isn’t supported -- the installer will put up a polite dialog box and tell you that you simply can’t do it. I know, because my first attempt was to install it on a Mac running 10.5.4, a recent and quite stable version of OSX. The installer stopped me dead in my tracks.

On either platform you will need at least 1 GB of system RAM, although you won’t be very happy with that. Digidesign recommends at least 2 GB of RAM, and I would suggest that you install a bit more than that, especially if you plan to take advantage of LE’s expanded track count (more below).

Comments (0)

There are no comments posted here yet

Leave your comments

  1. Posting comment as a guest. Your post will be moderated. Your email address will not be shown or linked. (If you have an account, log in for real time posting and other options.)
0 Characters
Attachments (0 / 3)
Share Your Location